import React from 'react';
import { useDataUpdate } from 'hookui-framework'
import $Panel from './_panel'
import $Select from './_select'
import $CheckBox from './_checkbox'
import $TabControl from './_tab-control'

const panelID = '$safeprojectname$';

const $App = ({ react }) => {
    const [exampleData, setExampleData] = react.useState(0);

    useDataUpdate(react, '$safeprojectname$.exampleKey', setExampleData);

    return <$Panel id={panelID} react={react} title='$safeprojectname$' >

    </$Panel>
}

window._$hookui.registerPanel({
    id: panelID,
    name: '$safeprojectname$',
    icon: 'Media/Game/Icons/Traffic.svg',
    component: $App
})